# Enum TLSClientHelloExtractor.ExtractorResult

java.lang.Object
java.lang.Enum<TLSClientHelloExtractor.ExtractorResult>
org.apache.tomcat.util.net.TLSClientHelloExtractor.ExtractorResult

All Implemented Interfaces:
  `Serializable, Comparable<TLSClientHelloExtractor.ExtractorResult>, java.lang.constant.Constable`

Enclosing class:
  `TLSClientHelloExtractor`

public static enum TLSClientHelloExtractor.ExtractorResult extends Enum<TLSClientHelloExtractor.ExtractorResult>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPLETE`
`NEED_READ`
`NON_SECURE`
`NOT_PRESENT`
`UNDERFLOW`

## Method Summary

Modifier and Type
Method
Description
`static TLSClientHelloExtractor.ExtractorResult`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TLSClientHelloExtractor.ExtractorResult[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMPLETE

public static final TLSClientHelloExtractor.ExtractorResult COMPLETE

### NOT_PRESENT

public static final TLSClientHelloExtractor.ExtractorResult NOT_PRESENT

### UNDERFLOW

public static final TLSClientHelloExtractor.ExtractorResult UNDERFLOW

### NEED_READ

public static final TLSClientHelloExtractor.ExtractorResult NEED_READ

### NON_SECURE

public static final TLSClientHelloExtractor.ExtractorResult NON_SECURE

## Method Details

### values

public static TLSClientHelloExtractor.ExtractorResult[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TLSClientHelloExtractor.ExtractorResult valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null